function main(self)
	self:AnimationStep()
    if self.State == 0 then
		self:SetImage("CUSTOM_WATER_SPLASH")
		self:SetAnimation("GAME_FORWARD50")
		self.State = 1
	end
	if self.State == 1 and self.I == 5 then
		self.timeCounter = GetTime() + 40
		self.State = 2
	end
	if self.State == 2 and GetTime() > self.timeCounter then
		self:Destroy()
	end
end